--
-- $Id$
--
-- Script containing RTWE specific sql statements for the FACILITOR database

DEFINE thisfile = 'RTWE.SQL'
DEFINE dbuser   = '^RTWE'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

CREATE OR REPLACE VIEW rtwe_v_noti_cntreminder_rappel (code, sender, receiver, text, key, xkey)
AS
SELECT 'CUST01',
       NULL,
       c.prs_perslid_key_beh,
       'Beste ' || p.prs_perslid_voornaam || DECODE(p.prs_perslid_tussenvoegsel,NULL,' ',' '||p.prs_perslid_tussenvoegsel||' ') || p.prs_perslid_naam || CHR(13) ||
       CHR(13) ||
       'Op '||to_char(c.cnt_contract_looptijd_tot,'dd-mm-yyyy')||' loopt '||c.cnt_contract_nummer_intern||' ('||c.cnt_contract_omschrijving||') af. Het is raadzaam hierover contact ' || CHR(13) ||
       'op te nemen met zowel uw leverancier als uw interne organisatie.' || CHR(13) ||
       CHR(13) ||
       'Raadpleeg het digitale contract in Facilitor om de vervolgstappen te bepalen.' || CHR(13) ||
       'Indien het contract verlengd wordt, zorg er dan voor dat de mutaties en de daarbij behorende ' || CHR(13) ||
       'documenten digitaal worden vastgelegd in Facilitor.' || CHR(13) ||
       CHR(13) ||
       CHR(13) ||
       'Met vriendelijke groet,' || CHR(13) ||
       CHR(13) ||
       'Applicatiebeheer Facilitor',
       c.cnt_contract_key,
       NULL
  FROM cnt_v_aanwezigcontract c, prs_bedrijf b, prs_perslid p
 WHERE b.prs_bedrijf_key=c.CNT_PRS_BEDRIJF_KEY
   AND c.prs_perslid_key_beh = p.prs_perslid_key
   AND TRUNC(SYSDATE) = TRUNC(cnt.cnt_getRappeldatum(c.cnt_contract_key));

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
